Subject: Java Update Newsletter from Bruce Eckel

From: [email-masked] ([email-masked])
Date: Wed, 5 May 1999 18:41:56 -0700 (PDT)

The only reason you should be on this list is if you put yourself here. To be removed, DO NOT REPLY TO THIS MESSAGE. Instead, click on the following link or paste it into your web browser's URL window (it's important to use this link because it contains the exact email address I used to reach you, so the proper email address will be removed). Here's the URL for removal:
http://www.mindview.net/cgi-bin/MailingList/Submit?subject-field=java-email-list&command-field=remove&email-address=[email-masked]
If you want to change your address, just click on the remove URL above and then go tohttp://www.mindview.net/MailingList.html to put your new address in.

(My apologies if you've received an extra copy -- I tried writing a new email program which hiccuped)
=== Java Update Newsletter from Bruce Eckel ===

            -- Topics --

-- New Event Calendar now on Web site
-- Summer Seminars in Crested Butte, Colorado
-- Software Development Conference & Borland/Inprise Conference

===============================================
New Event Calendar now on Web site

If you go to the home page at http://www.mindview.net, the top item you'll see is the new event calendar which includes all the learning experiences we have scheduled as well as my speaking schedule for conferences and other public events. I'm quite pleased with its usability.

You can create your own HTML calendar using the Perl program that I wrote and which is available from a link at the bottom of the calendar (you must install Perl, which is free, on your machine to use it; see http://www.perl.com). It's not fully fleshed out yet, but it does allow you to create events that are public (for a calendar you want to post on a web site) "protected" (for a calendar you would mail to your friends) and "private" (for your personal calendar). As time passes I'll no doubt continue playing with it.

And before anyone asks "when will 'Thinking in Perl' appear?" I have no plans for such a thing at this time. But who knows -- the language is tremendously useful ("The Duct Tape of Programming Languages").

===============================================
The Calendar includes the full line-up of seminars to be held in gorgeous Crested Butte, Colorado, including:

-- The 2nd iteration of the Java/CORBA seminar, after a smashing success with the first.
-- The Hands-On Java Seminar, its first appearance after a long hiatus.
-- The 2nd iteration of the Servlets seminar, now expanded to 5 days to allow for more projects. This may have been the most fun seminar we've done.
-- Object-Oriented Analysis, Design, Design Patterns and Programming Idioms, which I will be teaching with Bill Venners. Because of extra material and exercises this has also been expanded to 5 days.
-- Java JINI, taught by Bill Venners. Be the first on your block to gain experience with this new and fascinating technology!
-- In September, Java/COM, taught by the not-so-local expert, Andrea Provaglio (from Italy). But who knows, by then Microsoft may have actually produced COOL, so we might need to roll with the punches. Watch the site for developments!

Fall seminars will be added to the calendar as they are planned -- stay tuned!

To find out more about Crested Butte, see:
http://www.mindview.net/CrestedButte/CrestedButte.html

===============================================
Software Development Conference & Borland/Inprise Conference

If you're coming to either of these conferences, check the calendar at
http://www.mindview.net/Calendar/Calendar.html
to see the classes I'm teaching and the events I'll be hosting or participating in, as well as book signings etc. If you see me at the conference, come over and say hi!

-- Bruce Eckel
   http://www.BruceEckel.com